ranges::views::drop_while_bind_fn Struct Reference
Inheritance diagram for ranges::views::drop_while_bind_fn:

## Public Member Functions

template<typename Pred , typename Proj >
| CPP_TEMPLATE_AUX_0 (requires(!range< Pred >)) const expr auto operator()(Pred &&pred
template<typename Pred >
constexpr auto | operator() (Pred pred) const

## Public Attributes

Proj proj | const

## Member Data Documentation

## const

Proj proj ranges::views::drop_while_bind_fn::const

Initial value:
{
return make_view_closure(bind_back(
drop_while_base_fn{}, static_cast<Pred &&>(pred), std::move(proj)))
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52
ranges::make_view_closure
constexpr make_view_closure_fn make_view_closure
Definition: view.hpp:103
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994